NewtonInterpGeom< Domain, REDUCE > Struct Template Reference

Newton. More...

`#include <givinterpgeom.h>`

## Public Member Functions

Rep & | setdegree (Rep &P) const
| Compute the degree of P.
bool | isDivisor (const Rep &P, const Element &Q) const
| isDivisor (a, b) Tests if Q | P (that is if P mod Q == 0).
size_t & | sqrfree (size_t &Nfact, Rep *Fact, const Rep &P) const
| Sqrfree decomposition.

## Detailed Description

template<class Domain, bool REDUCE = true>
struct Givaro::NewtonInterpGeom< Domain, REDUCE >

Newton.

## Member Function Documentation

## setdegree()

template<class Domain>

Poly1Dom< Domain, Dense >::Rep & setdegree | ( | Rep & | P | ) | const

inline inherited

Compute the degree of P.

Warning
  this is an infamous function that may not leave `P` constant !!

Parameters

  P | polynomial

## sqrfree()

template<class Domain>

size_t & sqrfree | ( | size_t & | Nfact,
|  | Rep * | Fact,
|  | const Rep & | P ) const

inherited

Sqrfree decomposition.

Decompose P such that: P = Fact[0]^0 * Fact[1]^1 * ... * Fact[P.degree()]^(P.degree()), with Fact[0] the leading coefficient. The array Fact must be allocated before calling the function. The size of Fact must be degP+1 is all factors should be computed. For more readeable version of the algorithm, see Geddes, p342.

Parameters

  Nfact | [in] the size of Fact
  Fact | [in] an array of dimension Nfact
  Nfact | [out] is the number of factor in the sqrfree decomposition
  Fact | [out] contains at most Nfact factors of the decomposition.
  P | rep.

The documentation for this struct was generated from the following file:

- givinterpgeom.h